<script setup lang="ts">
//import { RouterLink, RouterView } from 'vue-router'
//import HelloWorld from './components/HelloWorld.vue'

import SideBar from './components/SideBar.vue'
import ImageGallery from './components/ImageGallery.vue'
import { ref } from 'vue'

const isWithColor = ref(true)

const onSelectOption = (isColor: boolean) => {
  isWithColor.value = isColor

}

</script>

<template>
  <VApp>
    <!-- {{isWithColor}} -->
    <SideBar @selectOption="onSelectOption" />
    <VMain>
      <ImageGallery :isWithColor="isWithColor" />
    </VMain>
  </VApp>
</template>

<style scoped>

</style>
